Dist::Zilla::Plugin::Encoding(3pm)

NAME
Dist::Zilla::Plugin::Encoding - set the encoding of arbitrary files

VERSION
version 6.037

SYNOPSIS
This plugin allows you to explicitly set the encoding on some files in your distribution. You can either specify the exact set of files (with the "filenames" parameter) or provide the regular expressions to check (using "match").

In your dist.ini:

  [Encoding]
  encoding = Latin-3

  filename = t/esperanto.t  ; this file is Esperanto
  match     = ^t/urkish/    ; these are all Turkish

PERL VERSION
This module should work on any version of perl still receiving updates from the Perl 5 Porters. This means it should work on any version of perl released in the last two to three years. (That is, if the most recently released version is v5.40, then this module should work on both v5.40 and v5.38.)

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

ATTRIBUTES

  encoding
This is the encoding to set on the selected files. The special value "bytes" can be used to indicate raw files that should not be encoded.

  filenames
This is an arrayref of filenames to have their encoding set.

  matches
This is an arrayref of regular expressions. Any file whose name matches one of these regex will have its encoding set.

  ignore
This is an arrayref of regular expressions. Any file whose name matches one of these regex will not have its encoding set. Useful to ignore a few files that would otherwise be selected by "matches".

AUTHOR
Ricardo SIGNES 😏 <cpan@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.